const service_lib = require('@guerilla-coding/service');
const job = require('./job');

(async () => {
    await service_lib.registerJob(async (id, param) => {

        let ip = await service_lib.helper.isHostResolvable(param);

        if(ip){
            await job(id, param, ip, service_lib.sendEnd, service_lib.sendUpdate);
        }else{
            await service_lib.sendEnd({
                success: false,
                message: 'Error occurred. Try again later.'
            });
        }

    });
})();
